/**
 * @(#) 1.2 SSOA/ws/code/soa.sca.container.spi/src/com/ibm/wsspi/container/binding/EndpointException.java, WAS.soa.sca.container.spi, SCA101.SSOA, cf051018.03 6/22/09 18:06:25 [5/10/10 22:21:29]
 *
 * IBM Confidential OCO Source Material
 * 5724-J08, 5724-I63, 5724-H88, 5724-H89, 5655-N01, 5722-WE2 (C) COPYRIGHT International Business Machines Corp. 2006
 * The source code for this program is not published or otherwise divested
 * of its trade secrets, irrespective of what has been deposited with the
 * U.S. Copyright Office.
 *
 * HISTORY
 * CMVC Ref        Date      Who       Description
 * --------------- --------- --------- --------------------------------------------
 * F00CmnContainer  20090611 srashmi   Initial Implementation
 */

package com.ibm.wsspi.container.binding;

/**
 * Exception thrown during endponit creation and management.
 * @ibm-spi
 */
public class EndpointException extends Exception {
    private static final long serialVersionUID = 8781981714191906506L;

    public EndpointException(String s) {
        super(s);
    }
    
    public EndpointException(Throwable cause) {
        super(cause);
    }
    
    public EndpointException(String message, Throwable cause) {
        super(message, cause);
    }
}
