/**
 * @(#) 1.3 SSOA/ws/code/soa.sca.bindings.jms/src.stage2/com/ibm/websphere/soa/sca/operationselector/jms/OperationSelector.java, WAS.soa.sca.bindings.jms, SCA101.SSOA, cf051018.03 9/30/09 13:03:45 [5/10/10 22:20:26]
 *
 * IBM Confidential OCO Source Material
 * 5724-J08, 5724-I63, 5724-H88, 5724-H89, 5655-N01, 5722-WE2 (C) COPYRIGHT International Business Machines Corp. 2009
 * The source code for this program is not published or otherwise divested
 * of its trade secrets, irrespective of what has been deposited with the
 * U.S. Copyright Office.
 *         
 */

package com.ibm.websphere.soa.sca.operationselector.jms;

import javax.jms.Message;


import com.ibm.websphere.soa.sca.wireformat.WireFormatContext;

/**
 * @ibm-api
 */

/**
 * The Interface OperationSelector.
 */
public interface OperationSelector {
    
    /**
	 * Gets the operation name.
	 * 
	 * @param msg
	 *            the msg
	 * 
	 * @return the operation name
	 * 
	 * @throws OperationSelectorException
	 *             the operation selector exception
	 */
    public String getOperationName(Message msg) throws OperationSelectorException;
    
    /**
	 * Gets the wire format context.
	 * 
	 * @return the wire format context
	 */
    public WireFormatContext getWireFormatContext();
    
    /**
	 * Sets the wire format context.
	 * 
	 * @param ctx
	 *            the new wire format context
	 */
    public void setWireFormatContext(WireFormatContext ctx);
}
