/**
 * @(#) 1.4 SSOA/ws/code/soa.sca.databinding.sdo/src/main/java/com/ibm/websphere/soa/sca/sdo/DefaultHelperContext.java, WAS.tuscany, SCA101.SSOA, cf051018.03 10/20/09 12:48:34 [5/10/10 22:17:32]
 *
 * IBM Confidential OCO Source Material
 * 5724-J08, 5724-I63, 5724-H88, 5724-H89, 5655-N01, 5733-W61 (C) COPYRIGHT International Business Machines Corp. 2009
 * The source code for this program is not published or otherwise divested
 * of its trade secrets, irrespective of what has been deposited with the
 * U.S. Copyright Office.
 *
 */

package com.ibm.websphere.soa.sca.sdo;

/**
 * @ibm-api
 */

import java.lang.annotation.*;

/**
 * Annotation used to indicate a field or setter method that is used to inject 
 * the value of the SCA-managed default SDO HelperContext.  
 *
 * In SDO, a HelperContext object represents a scope of SDO Type definitions.  
 *
 * So the SCA-managed default HelperContext provides access via the SDO Java 
 * APIs to the schema definitions available within a particular SCA application 
 * boundary.
 */
@Documented
@Target({ElementType.METHOD, ElementType.FIELD})
@Retention(RetentionPolicy.RUNTIME)
public @interface DefaultHelperContext {

}
