/**
 * @(#) 1.5 SSOA/ws/code/soa.sca.bindings.jms/src.stage2/com/ibm/websphere/soa/sca/wireformat/jms/WireFormatJMSBindingContext.java, WAS.soa.sca.bindings.jms, SCA101.SSOA, cf051018.03 9/30/09 13:03:47 [5/10/10 22:20:26]
 *
 * IBM Confidential OCO Source Material
 * 5724-J08, 5724-I63, 5724-H88, 5724-H89, 5655-N01, 5722-WE2 (C) COPYRIGHT International Business Machines Corp. 2009
 * The source code for this program is not published or otherwise divested
 * of its trade secrets, irrespective of what has been deposited with the
 * U.S. Copyright Office.
 *         
 */

package com.ibm.websphere.soa.sca.wireformat.jms;

import javax.jms.*;

import com.ibm.websphere.soa.sca.wireformat.WireFormatBindingContext;


/**
 * @ibm-api
 */

/**
 * The Interface WireFormatJMSBindingContext.
 */
public interface WireFormatJMSBindingContext extends WireFormatBindingContext {
    
    /** The Constant BINDING_JMS. */
    public final static String BINDING_JMS = "binding.jms";

    /**
     * Gets the JMS session.
     * 
     * @return the JMS session
     */
    public Session getJMSSession();

    /**
     * Gets the JMS message.
     * 
     * @return the JMS message
     */
    public Message getJMSMessage();

    
}